Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Al Viro <[email-masked]>
Date: Tue, 18 May 2010 16:02:11 +0100

On Tue, May 18, 2010 at 03:35:10AM -0700, Eric W. Biederman wrote:
> Thanks.
> 
> I will cook up a proper incremental patch after I get some sleep.  Stephen
> it appears those two lines you have commented out are actually unnecessary.
> 
> We have
> deactivate_super
>   kill_sb aka sysfs_kill_sb
>     kill_anon_super
>       generic_shutdown_super
>          sb_lock
>          list_del(sb->s_instances)
>          sb_unlock
>   kfree(info)
> 
> Nothing generic stomps on s_fs_info.
> 
> Which means that if I find a superblock on sb->s_instances sb->s_fs_info
> still points to a valid sysfs_super_info.

Except that sb_lock is going away next cycle.  There are very few users left
outside of fs/super.c and I'd much prefer it to become static.